Package org.snpeff.nextProt

# Class NextProtHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.snpeff.nextProt.NextProtHandler

All Implemented Interfaces:
  `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public class NextProtHandler extends DefaultHandler
Handler used in XML parsing for NextProt database It keeps track of the tags and saves state data to create Markers using NextProtMarkerFactory http://www.nextprot.org/

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`NextProtHandler(NextProtMarkerFactory markersFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
`void`
`countMissingCategory(String category)`
`void`
`endElement(String uri, String localName, String qName)`
Parse XML's element end
`CountByType`
`getMissingCategories()`
`void`
`startElement(String uri, String localName, String qName, Attributes attributes)`
Parse XML's element start

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### NextProtHandler

public NextProtHandler(NextProtMarkerFactory markersFactory)

## Method Details

### characters

public void characters(char[] ch, int start, int length) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`

### countMissingCategory

public void countMissingCategory(String category)

### endElement

public void endElement(String uri, String localName, String qName) throws SAXException
Parse XML's element end

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

### getMissingCategories

public CountByType getMissingCategories()

### startElement

public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException
Parse XML's element start

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`